#!/bin/sh
#
# code by ngc1927

# scarica i moduli

# carica i moduli
MODULES="/var/lib/modules/usb-serial"

for MOD in `ls $MODULES | sed -e "s/\([^. ]*\).*/\1/"`
do
	rmmod $MODULES/$MOD.ko  && echo "module: $MOD ..removed" >>/tmp/start_tmp
done
rmmod usbserial && echo "module usbserial.ko removed" >>/tmp/start_tmp

# rimuove l'autoavvio
[ -e /var/etc/rcS.d/S80usbserial.sh ] && rm -f /var/etc/rcS.d/S80usbserial.sh

# visualizza il resoconto
cat /tmp/start_tmp
rm -f /tmp/start_tmp

exit 0
